Description

hey,

i've just set up a new redmine instance in Debian.

My previous instance is working fine, but this one has a weird problem, i.e. the logout does not work.

When I click logout, it says, the user has been logged out, but when I go then to /users by hand, I am still logged in.

Anyone had that problem?

History

#1 - 2010-03-22 11:02 - Radek Antoniuk

Tech details:

[Mon Mar 22 10:33:37 2010] [notice] Apache/2.2.9 (Debian) DAV/2 SVN/1.5.1 mod_fcgid/2.3.5 mod_python/3.3.1 Pyt

hon/2.5.2 mod_ruby/1.2.6 Ruby/1.8.7(2010-01-10) configured -- resuming normal operations

ii  apache2-mpm-itk                 2.2.6-02-1+lenny2+b2 

ii  apache2-utils                   2.2.9-10+lenny6      

ii  apache2.2-common                2.2.9-10+lenny6      

ii  libapache-ruby1.8               1.2.6-2              

ii  libapache2-mod-fcgid            1:2.3.5-1            

ii  libapache2-mod-python           3.3.1-7              

ii  libapache2-mod-ruby             1.2.6-2              

ii  libapache2-svn                  1.5.1dfsg1-4         

ii  redmine                         0.9.3-1 

ii  redmine-mysql                   0.9.3-1 

ii  redmine-sqlite                  0.9.3-1 

ii  libapache-ruby1.8               1.2.6-2     

ii  libapache2-mod-ruby             1.2.6-2     

ii  libbreakpoint-ruby1.8           0.5.1-2     

ii  libbuilder-ruby                 2.1.2-1     

ii  libbuilder-ruby1.8              2.1.2-1     

ii  libcmdparse2-ruby1.8            2.0.2-2     

ii  libdaemons-ruby1.8              1.0.10-2    

ii  libdbd-mysql-ruby               0.4.4-1     

ii  libdbd-mysql-ruby1.8            0.4.4-1     

ii  libdbd-sqlite3-ruby             1.2.5-3     

ii  libdbd-sqlite3-ruby1.8          1.2.5-3     

ii  libdbi-ruby1.8                  0.4.3-2     

ii  libdeprecated-ruby1.8           2.0.1-2     

ii  liberb-ruby                     4.2         

ii  libfcgi-ruby1.8                 0.8.8-1     

ii  liblog4r-ruby1.8                1.0.5-8     

ii  libmmap-ruby1.8                 0.2.6-3     

ii  libmocha-ruby                   0.9.8-1     

ii  libmocha-ruby1.8                0.9.8-1     

ii  libmysql-ruby1.8                2.8.2-1     

ii  libncurses-ruby1.8              1.2.4-2     

ii  libopenssl-ruby1.8              1.8.7.249-2 

ii  libreadline-ruby1.8             1.8.7.249-2 

ii  libredcloth-ruby                4.2.2-1.1   

ii  libredcloth-ruby1.8             4.2.2-1.1   

ii  libruby                         4.2         

ii  libruby1.8                      1.8.7.249-2 

ii  libruby1.8-extras               0.5         
ii  libsqlite3-ruby                 1.2.4-2.1   

ii  libsqlite3-ruby1.8              1.2.4-2.1   

ii  libxml-simple-ruby              1.0.12-1    

ii  rails                           2.2.3-2     

ii  rake                            0.8.7-1     

ii  rdoc                            4.2         

ii  ruby                            4.2         

ii  ruby1.8                         1.8.7.249-2 

ii  rubygems1.8                     1.3.5-2     

#2 - 2010-03-22 11:36 - Radek Antoniuk

This problem is quite interesting.

I have created a second admin user. Now. If I logout, and login as the second user and go to the Main tab, I can see user2. If I click to administration,

I can see that I am logged in still as User1.

Some kind of cleaning up sessions problem or what?

#3 - 2010-03-23 12:01 - Radek Antoniuk

Ok, I've identified the problem to exist while using :8080 virtualhost.

When I have switched to the Alias version, it all works perfectly fine.

#4 - 2010-06-13 21:12 - Jean-Baptiste Barth

- Priority changed from Urgent to Normal

Any cache at Apache level ? I cannot reproduce, don't think it's strictly a redmine problem.. Can we consider the ticket as resolved ?

#5 - 2010-07-12 22:20 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Cant reproduce

Considering closed.
